summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrun-tests.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/run-tests.sh b/run-tests.sh
index a65800fb0..89db85ee9 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -32,11 +32,16 @@ cleanup() {
mkdir -p test-coverage-data
+php=(php)
+if ((COLLECT_COVERAGE)); then
+ php=(phpdbg -qrr)
+fi
+
# run tests
-phpdbg -qrr index.php tools drop_all_tables || exit 1
-phpdbg -qrr index.php tools update_database || exit 1
+"${php[@]}" index.php tools drop_all_tables || exit 1
+"${php[@]}" index.php tools update_database || exit 1
-prove --ext .php --state=failed,save --timer --comments --exec 'phpdbg -qrr index.php tools test' --recurse "${@:-application/test/tests/}" || exit 1
+prove --ext .php --state=failed,save --timer --comments --exec "${php[*]} index.php tools test" --recurse "${@:-application/test/tests/}" || exit 1
if (($COLLECT_COVERAGE)); then
php index.php tools generate_coverage_report